diff a/src/hotspot/share/oops/typeArrayOop.inline.hpp b/src/hotspot/share/oops/typeArrayOop.inline.hpp
--- a/src/hotspot/share/oops/typeArrayOop.inline.hpp
+++ b/src/hotspot/share/oops/typeArrayOop.inline.hpp
@@ -29,12 +29,16 @@
 
 #include "oops/access.inline.hpp"
 #include "oops/oop.inline.hpp"
 #include "oops/arrayOop.hpp"
 
+size_t typeArrayOopDesc::object_size(const TypeArrayKlass* tk, int length) const {
+  return object_size(tk->layout_helper(), length);
+}
+
 size_t typeArrayOopDesc::object_size(const TypeArrayKlass* tk) const {
-  return object_size(tk->layout_helper(), length());
+  return object_size(tk, length());
 }
 
 inline jchar*    typeArrayOopDesc::char_base()   const { return (jchar*)   base(T_CHAR); }
 inline jboolean* typeArrayOopDesc::bool_base()   const { return (jboolean*)base(T_BOOLEAN); }
 inline jbyte*    typeArrayOopDesc::byte_base()   const { return (jbyte*)   base(T_BYTE); }
